Ooops
March 01, 2021, 04:15:38 AM

Author Topic: A compile error to wx mod after updating  (Read 793 times)

Offline takis76

  • Full Member
  • ***
  • Posts: 111
A compile error to wx mod after updating
« on: August 19, 2018, 01:12:36 PM »
Hello again :)

I updated my Blitzmax and my MinGw from 3.2 to 3.4.5 and now I am compiling my existing modules.
With the previously version of MinGw when I was compiling the wx mod everything were compiled without problem.
Now with the new update of MinGw one module from the wx library shows an error:

Code: [Select]
►wx.wxrarinputstream was scheduled to next iteration
C:/BlitzMax/mod/wx.mod/wxrarinputstream.mod/src/unrar/crc.cpp: In function `uint CRC(uint, const void*, uint)':
C:/BlitzMax/mod/wx.mod/wxrarinputstream.mod/src/unrar/crc.cpp:23: error: `uintptr_t' was not declared in this scope
C:/BlitzMax/mod/wx.mod/wxrarinputstream.mod/src/unrar/crc.cpp:23: error: expected `)' before "Data"
C:/BlitzMax/mod/wx.mod/wxrarinputstream.mod/src/unrar/crc.cpp:29: error: expected `)' before "while"
Build Error: failed to compile C:/BlitzMax/mod/wx.mod/wxrarinputstream.mod/src/unrar/crc.cpp
►►►►wx.wxrarinputstream was not built. See error information on latest attempt.

How can I fix it? I use the wx mod since the MinGw 3.2 and I haven't update it. Do I need to download some new version or just edit this particular code and do a manual fix?
This is the problem I have discussed when something needs to be upgraded everything around breaks. You fix 1 then something else breaks.




 

SimplePortal 2.3.6 © 2008-2014, SimplePortal